Subject: Re: linux-next: manual merge of the staging tree with the kselftest-fixes tree

From: Shuah Khan <[email-masked]>
Date: Fri, 30 Oct 2020 10:38:04 -0600

On 10/28/20 11:22 PM, Greg KH wrote:
> On Thu, Oct 29, 2020 at 01:27:13PM +1100, Stephen Rothwell wrote:
>> Hi all,
>>
>> Today's linux-next merge of the staging tree got conflicts in:
>>
>>    tools/testing/selftests/android/ion/ipcsocket.c
>>    tools/testing/selftests/android/ion/ipcsocket.h
>>
>> between commit:
>>
>>    08c5d41130e5 ("selftests: android: fix multiple definition of sock_name")
>>
>> from the kselftest-fixes tree and commit:
>>
>>    e722a295cf49 ("staging: ion: remove from the tree")
>>
>> from the staging tree.
>>
>> I fixed it up (I just removed the files) and can carry the fix as
>> necessary. This is now fixed as far as linux-next is concerned, but any
>> non trivial conflicts should be mentioned to your upstream maintainer
>> when your tree is submitted for merging.  You may also want to consider
>> cooperating with the maintainer of the conflicting tree to minimise any
>> particularly complex conflicts.
> 
> Easy fix, thanks!
> 

Thanks for catching it. I knew this test was removed. My bad.

-- Shuah